FileDump (ORC Tools 1.2.1 API)
Date: 2016-10-19

org.apache.orc.tools

## Class FileDump

- java.lang.Object
- - org.apache.orc.tools.FileDump

-     public final class FileDump
      extends Object

  A tool for printing out the file structure of ORC files.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_BACKUP_PATH`
    `static int` | `DEFAULT_BLOCK_SIZE`
    `static PathFilter` | `HIDDEN_AND_SIDE_FILE_FILTER`
    `static String` | `SEPARATOR`
    `static String` | `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Collection<String>` | `getAllFilesInPath(Path path, Configuration conf)`
    `static long` | `getTotalPaddingSize(Reader reader)`
    `static void` | `main(Configuration conf, String[] args)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNKNOWN

          public static final String UNKNOWN

      See Also:
        Constant Field Values

    - #### SEPARATOR

          public static final String SEPARATOR

    - #### DEFAULT_BLOCK_SIZE

          public static final int DEFAULT_BLOCK_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_BACKUP_PATH

          public static final String DEFAULT_BACKUP_PATH

    - #### HIDDEN_AND_SIDE_FILE_FILTER

          public static final PathFilter HIDDEN_AND_SIDE_FILE_FILTER

  - ### Method Detail

    - #### main

          public static void main(Configuration conf,
                                  String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### getAllFilesInPath

          public static Collection<String> getAllFilesInPath(Path path,
                                                             Configuration conf)
                                                      throws IOException

      Throws:
        `IOException`

    - #### getTotalPaddingSize

          public static long getTotalPaddingSize(Reader reader)
                                          throws IOException

      Throws:
        `IOException`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.